'use strict';
const fs = require("fs");
function normalize(filepath) {
    return filepath.replace(/\\/g, '/');
}
exports.normalize = normalize;
function getNodeModulesDir() {
    const isWindows = process.platform === 'win32';
    let nodeModules = 'node_modules';
    if (!isWindows) {
        nodeModules = 'lib/node_modules';
    }
    return nodeModules;
}
exports.getNodeModulesDir = getNodeModulesDir;
function pathExists(filepath) {
    return new Promise((resolve) => {
        fs.access(filepath, (err) => {
            resolve(!err);
        });
    });
}
exports.pathExists = pathExists;
